<template>
  <div class="container pt-5 pb-5">
    <div class="row">
      <div :class="[isRoot ? 'col-12' : 'col-6', 'col-animated']">
        <jobs-list />
      </div>
      <transition>
        <div v-if="!isRoot" class="col-6">
          <Nuxt />
        </div>
      </transition>
    </div>
  </div>
</template>

<script>
import JobsList from '~/components/JobsList';

export default {
  name: 'DefaultLayout',
  components: {
    JobsList,
  },
  computed: {
    isRoot () {
      return this.$route.name === 'index';
    },
  },
}
</script>

<style>
html {
  font-family:
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  font-size: 16px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
}

.button--green {
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #3b8070;
  color: #3b8070;
  text-decoration: none;
  padding: 10px 30px;
}

.button--green:hover {
  color: #fff;
  background-color: #3b8070;
}

.button--grey {
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #35495e;
  color: #35495e;
  text-decoration: none;
  padding: 10px 30px;
  margin-left: 15px;
}

.button--grey:hover {
  color: #fff;
  background-color: #35495e;
}

.col-animated {
  transition: max-width 700ms, flex 700ms;
}
</style>
